variant.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for std::variant. More...

`#include "cereal/cereal.hpp"`
`#include <variant>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

struct | cereal::variant_detail::variant_save_visitor< Archive >

## Functions

template<int N, class Variant , class Archive >
std::enable_if< N==std::variant_size_v< Variant >, void >::type | cereal::variant_detail::load_variant (Archive &, int, Variant &)
template<class Archive , typename VariantType1 , typename... VariantTypes>
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::variant< VariantType1, VariantTypes... > const &variant)
| Saving for std::variant.
template<class Archive , typename... VariantTypes>
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::variant< VariantTypes... > &variant)
| Loading for std::variant.
template<class Archive >
void | cereal::CEREAL_SERIALIZE_FUNCTION_NAME (Archive &, std::monostate const &)
| Serializing a std::monostate.

## Detailed Description

Support for std::variant.